Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Add-ons Manager displays Java Deployment Toolkit 7.0.510.13 as being out of date

more options

Add-ons Manager displays Java Deployment Toolkit 7.0.510.13 as being out of date, however, when visiting the Java website and running a check on the version, this returns the message it is up-to-date. Why then is Add-ons Manager displays this inaccuracy?...Is there a fix available that would resolve this ongoing issue as it is now beginning to reflect its effects on websites using the service.

All Replies (4)

more options

This is a bug with the Mozilla plugin check page. Bug 985968 Please do not comment on bug reports until you have something constructive to add!

The Mozilla plugin check page recognizes the Java 8 plugin that has just been released by Oracle as the latest up-to-date version.

You can find the latest Java 8 version on the Oracle website.

See Java Platform > Java SE 8 (JRE 8 Download; you need the 32 bit version for Windows)

more options

Both webpages given do not refer to the 32 bit verson for windows. If possible please provide an accurate weblink directing me to download the correct Java 8 version on the oracle website.

more options

The link above has both 32 and 64 bit versions of Java 8.

more options

Okay time to update this question as I have Java 8u5 installed and I show a problem with the Deployment toolkit again Java Deployment Toolkit 8.0.0.132 NPRuntime Script Plug-in Library for Java(TM) Deploy

Again I see a need to update for both the above plugin and Java(TM) Platform SE 8 status vulnerable 11.0.2.132 What does this mean? Who provides the plugin? If Oracle does why is the update button taking me to such an unhelpful URL I really do not have a contract with Oracle so much of the patches shown there are useless to me. I have updated to the latest and greates JRE 8u5 32 bit install but again I see no fixes showing on FF version 30. Why is this such a problem now with Firefox? Why can't I get this properly updated already its been months like this???